summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2022-02-26 21:32:28 -0800
committerMatt Turner <mattst88@gentoo.org>2022-02-26 21:33:32 -0800
commitbc55bc20b65839ca8f8d56eceb13e98325ac4459 (patch)
treec0bfb928d06eef4e6e4e36bff8b913dd435bd448
parentapp-text/opensp: drop IUSE="elibc_glibc" (diff)
downloadgentoo-bc55bc20b65839ca8f8d56eceb13e98325ac4459.tar.gz
gentoo-bc55bc20b65839ca8f8d56eceb13e98325ac4459.tar.bz2
gentoo-bc55bc20b65839ca8f8d56eceb13e98325ac4459.zip
www-plugins/browserpass: Version bump to 3.0.9
Signed-off-by: Matt Turner <mattst88@gentoo.org>
-rw-r--r--www-plugins/browserpass/Manifest1
-rw-r--r--www-plugins/browserpass/browserpass-3.0.9.ebuild66
2 files changed, 67 insertions, 0 deletions
diff --git a/www-plugins/browserpass/Manifest b/www-plugins/browserpass/Manifest
index 0d975791521..4b532d9bb57 100644
--- a/www-plugins/browserpass/Manifest
+++ b/www-plugins/browserpass/Manifest
@@ -1,5 +1,6 @@
DIST browserpass-3.0.7.tar.gz 19262 BLAKE2B 3e8810016c2223a7a83603598526a2324c650a239457509e93c4b76c0f19d28fa83b104a470857ea983655e738a052ce82b40b215299a6a23be40b7a17fea6ee SHA512 bc9fba22b744c169ea901b452223aff585a8787c8bd1067318e28fb4763ad4435dfdcd4fbf2900f5e2779eef7d3dedc7d45f48434d2b4c3dcfe9c164e4f048a7
DIST browserpass-3.0.8.tar.gz 19274 BLAKE2B 3394b83be3ca761231feb4581b9dce422af2346b282d0002c45ccd289860a24cd204a63d3bc524dbd5c9b5f29d0cf0f161478bf254acd353bbb1821129a99cb5 SHA512 c854e671153694bf87f8393e284983d213f31c46cbbc4e6fd892e1793b8aa59d81c257f0709334667b533a9570dc5819662c2bc7d165133398c9149fcc1eb1d0
+DIST browserpass-3.0.9.tar.gz 19260 BLAKE2B 51e99ba90e9c4e068e409a4a2c1811e4c95e87dee3d2d6ae58763b49065145e81ec90452496aecbd5595e8c9ba61fdfbd30790da9fbd92d48f0a80d8c43f8489 SHA512 967091176ff1a8ee184b61fcaa386a59f134e02dd7a064b3c16cb963d1334ca0a0d3281f1bfc150c69ec5d7f082abce9b811731902645d377a44f8fe4a31bc8f
DIST github.com%2Fdavecgh%2Fgo-spew%2F@v%2Fv1.1.0.mod 34 BLAKE2B 7e09c2779bf7a84a9271e31522ebbe600a1c11b107d651d91f58c8373e4336332a3a881f3e12b382543d75f20398af66085fcb3e780eed341e870e9c30f29267 SHA512 5e079462f7e0dff0efda71f580aa185700cfa936b718a19d0e2a8c63212e47a07022dca0c282832d48e5165aae8e82aeeeb2ac3664268f1148fc772010fb860e
DIST github.com%2Fdavecgh%2Fgo-spew%2F@v%2Fv1.1.1.mod 34 BLAKE2B 7e09c2779bf7a84a9271e31522ebbe600a1c11b107d651d91f58c8373e4336332a3a881f3e12b382543d75f20398af66085fcb3e780eed341e870e9c30f29267 SHA512 5e079462f7e0dff0efda71f580aa185700cfa936b718a19d0e2a8c63212e47a07022dca0c282832d48e5165aae8e82aeeeb2ac3664268f1148fc772010fb860e
DIST github.com%2Fdavecgh%2Fgo-spew%2F@v%2Fv1.1.1.zip 60320 BLAKE2B 86bdbc333e5c23ccf4f805945ca9f2aecc5c242d2ae824d20127eceaa2bf7bbab239ff2799572a2c8fa206166a36e97d5eccc8fc5021743d8ad32f39cd53b9eb SHA512 7b4e4df2fea731e23e05437f26f24e32b2e99028d685b72e3a726c1cb616ada4a77ca4fb9db4a6fae48178cc5172e724b74499bc776d63a9110cb97377d5edeb
diff --git a/www-plugins/browserpass/browserpass-3.0.9.ebuild b/www-plugins/browserpass/browserpass-3.0.9.ebuild
new file mode 100644
index 00000000000..a0cb85e673a
--- /dev/null
+++ b/www-plugins/browserpass/browserpass-3.0.9.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit go-module
+MY_PN=browserpass-native
+
+DESCRIPTION="WebExtension host binary for app-admin/pass, a UNIX password manager"
+HOMEPAGE="https://github.com/browserpass/browserpass-native"
+
+EGO_SUM=(
+ "github.com/davecgh/go-spew v1.1.0/go.mod"
+ "github.com/davecgh/go-spew v1.1.1"
+ "github.com/davecgh/go-spew v1.1.1/go.mod"
+ "github.com/mattn/go-zglob v0.0.3"
+ "github.com/mattn/go-zglob v0.0.3/go.mod"
+ "github.com/pmezard/go-difflib v1.0.0"
+ "github.com/pmezard/go-difflib v1.0.0/go.mod"
+ "github.com/rifflock/lfshook v0.0.0-20180920164130-b9218ef580f5"
+ "github.com/rifflock/lfshook v0.0.0-20180920164130-b9218ef580f5/go.mod"
+ "github.com/sirupsen/logrus v1.8.1"
+ "github.com/sirupsen/logrus v1.8.1/go.mod"
+ "github.com/stretchr/objx v0.1.0/go.mod"
+ "github.com/stretchr/testify v1.2.2"
+ "github.com/stretchr/testify v1.2.2/go.mod"
+ "github.com/stretchr/testify v1.3.0"
+ "github.com/stretchr/testify v1.3.0/go.mod"
+ "golang.org/x/sys v0.0.0-20191026070338-33540a1f6037"
+ "golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
+ "golang.org/x/sys v0.0.0-20220207234003-57398862261d"
+ "golang.org/x/sys v0.0.0-20220207234003-57398862261d/go.mod"
+ )
+go-module_set_globals
+SRC_URI="https://github.com/browserpass/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
+ ${EGO_SUM_SRC_URI}"
+
+LICENSE="BSD ISC MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+RDEPEND="app-crypt/gnupg"
+
+S="${WORKDIR}"/${MY_PN}-${PV}
+
+src_compile() {
+ go build || die
+
+ sed -e 's|%%replace%%|'${EPREFIX}'/usr/libexec/browserpass-native|' \
+ -i browser-files/firefox-host.json browser-files/chromium-host.json || die
+}
+
+src_install() {
+ exeinto /usr/libexec
+ doexe browserpass-native
+
+ insinto /usr/lib/mozilla/native-messaging-hosts
+ newins browser-files/firefox-host.json com.github.browserpass.native.json
+
+ insinto /usr/lib64/mozilla/native-messaging-hosts
+ newins browser-files/firefox-host.json com.github.browserpass.native.json
+
+ insinto /etc/chromium/native-messaging-hosts
+ newins browser-files/chromium-host.json com.github.browserpass.native.json
+
+ insinto /etc/opt/chrome/native-messaging-hosts
+ newins browser-files/chromium-host.json com.github.browserpass.native.json
+}